
QGIS Application - Bug report #6708

"Refine current rules" is enabled when no rules are selected

2012-11-15 08:23 PM - Alister Hood

Status: Closed

Priority: Low

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 15873

Description

- Style a layer using the rule-based renderer.

- Open the layer properties dialog to the style tab.  No rules will be selected, and the "refine current rules" button will be disabled.

- Click to select a rule.  The "refine current rules" button will be enabled.

- Click below the list of rules.  The rule will be unselected, but the "refine current rules" button will still be enabled!

- Click the "Refine current rules" button.  Nothing will happen!

Associated revisions

Revision d792f2cd - 2015-12-03 01:47 PM - Nathan Woodrow

Merge pull request #2502 from SebDieBln/RuleBasedRendererWidgetDisableButtons

enable/disable buttons in the rule based style dialog (fixes #6708)

History

#1 - 2012-11-16 12:43 AM - Alister Hood

Also tested in 1.8

#2 - 2015-11-25 02:30 PM - Sebastian Dietrich

Confirmed in master.

For a solution see PR 2502.

#3 - 2015-12-03 04:47 AM - Nathan Woodrow

- Status changed from Open to Closed

Fixed in changeset commit:"d792f2cd8ab6899838a1290e095e829ff201ffec".
https://github.com/qgis/QGIS/pull/2502

